Added KEYWORD to DELETE-FROM op.

---
 s-sql/s-sql.lisp |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

diff --git a/s-sql/s-sql.lisp b/s-sql/s-sql.lisp
index 3a60e76..a3f9321 100644
--- a/s-sql/s-sql.lisp
+++ b/s-sql/s-sql.lisp
@@ -582,9 +582,12 @@ to runtime. Used to create stored procedures."
               :append `(,@(if first () '(", ")) ,@(sql-expand field) " = " ,@(sql-expand value)))
       ,@(if where (cons " WHERE " (sql-expand (car where))) ()))))
 
-(def-sql-op :delete-from (table &key where)
-  `("DELETE FROM " ,@(sql-expand table) ,@(if where (cons " WHERE " (sql-expand where)) ())))
-
+(def-sql-op :delete-from (table &rest args)
+  (split-on-keywords ((where ?) (returning ? *)) args
+    `("DELETE FROM " ,@(sql-expand table)
+		     ,@(when where (cons " WHERE " (sql-expand (car where))))
+		     ,@(when returning
+			     `(" RETURNING " ,@(sql-expand-list returning))))))
 ;; Data definition
 
 (def-sql-op :create-table (name (&rest columns) &rest options)
-- 
1.6.0.5

